    class_drawlabel=['o';'+';'x';'*';'s';'d';'^';'v':'<';'>']; % p h
    class_color = [
        0 0 1
        0 1 0
        1 0 0
        0 1 1
        1 0 1
        1 1 1
        3 1 1
        1 1 0
        1 1 3
        0.76  0.57  0.17
        0.54  0.63  0.22
        0.34  0.57  0.92
        0.88  0.75  0.73
    ];
    class_color=class_color./repmat(max(class_color, [], 2), 1, 3);
    %set(gca, 'ColorOrder', colororder);
    n_drawlabels=size(class_color, 1);
    class_drawlabel=repmat(class_drawlabel, ceil(n_drawlabels/ ...
                                                 numel(class_drawlabel)), 1);
    class_drawlabel=class_drawlabel(1:n_drawlabels);

    update_residuum_mat = true;
    export_png = true;
    export_eps = false;
    
    marker_size = 6; %default: 6
    marker_width = 1; %default: 0.5
    
    method='kmeans';
    
    %%
    trajpattern='%s/trajs.txt';
    clusterpattern='%s/clusters.txt';
    imgpattern='%s/%08d.png';
    %imgpattern='%s/%08d-fts.png';
    residualpattern='%s/residuals.txt';
    jaccardpattern='%s/jaccard.txt';
    statpattern='%s/stats.mf';
    logfilepattern='%s/log';

    homog_factor_remove_outlier=1.00; % if smaller, outliers are removed
    homog_factor_split=0.95; % if smaller, a class is split
    homog_factor_merge=0.9; % if bigger, two classes are merged

    min_class_size=8;
    thresh=5; % 10 at 1500
    
    % not in use?
    axis_limits = [0 3500 0 2000];
    
    % overwrite settings by local variables
    if exist('msam_locals') == 2
        msam_locals
    end
    
    