function residuum_mat = resample_idx(data_mat, idx, N)

    msam_globals

    residuum_mat = nan(N, numel(idx));

    i=1;
    for j=1:100
        if i>N
            break
        end

        [dc, dc, r] = class_homogenity(data_mat, thresh, idx);
        if ~isempty(r)
            residuum_mat(i, :) = r;
            i=i+1;
        end
    end
    
    if i <= N
        residuum_mat = residuum_mat(1:i-1, :);
    end
    