function d12 = symerr(data_mat, H, HI)
    
    % data is stored in row vectors
    
    
    % x1 and x2 are column vectors
    % x1 = H * x2

    
    x1 = data_mat(:, 1:3)';
    x2 = data_mat(:, 4:6)';
    x2p = H*x2;
    x1p = HI*x1;
    d1 = (vgg_get_nonhomg(x2p) - vgg_get_nonhomg(x1)).^2;
    d2 = (vgg_get_nonhomg(x1p) - vgg_get_nonhomg(x2)).^2;      
    %d12 = .5*(sqrt(sum(d1, 1)) + sqrt(sum(d2, 1)));
    d12 = sqrt(.5*(sum(d1, 1) + sum(d2, 1)));
  
        
       